From dd8ac86ccddee8f91a47fe332991105be8d3bf8e Mon Sep 17 00:00:00 2001
From: William Harrington <kb0iic@berzerkula.org>
Date: Thu, 8 Apr 2021 18:49:04 -0500
Subject: Add shellcheck parsing directives.

---
 chapter8/cleanup.sh | 8 ++++++--
 1 file changed, 6 insertions(+), 2 deletions(-)

(limited to 'chapter8/cleanup.sh')

diff --git a/chapter8/cleanup.sh b/chapter8/cleanup.sh
index 46c152d..ed62e18 100644
--- a/chapter8/cleanup.sh
+++ b/chapter8/cleanup.sh
@@ -26,7 +26,7 @@ else
 
 	# Place debugging symbols for selected libraries in seprate files
 	save_lib="ld-2.33.so libc-2.33.so libpthread-2.33.so libthread_db-1.0.so"
-	cd "${LFS}"/lib || exit 1
+	pushd "${LFS}"/lib || exit 1
 
 	for LIB in $save_lib; do
 		sudo objcopy --only-keep-debug "${LIB}" "${LIB}".dbg
@@ -34,9 +34,11 @@ else
 		sudo objcopy --add-gnu-debuglink="${LIB}".dbg "${LIB}"
 	done
 
+	popd || exit 1
+
 	save_usrlib="libquadmath.so.0.0.0 libstdc++.so.6.0.28 libitm.so.1.0.0 libatomic.so.1.2.0"
 
-	cd "${LFS}"/usr/lib || exit 1
+	pushd "${LFS}"/usr/lib || exit 1
 
 	for LIB in $save_usrlib; do
 		sudo objcopy --only-keep-debug "${LIB}" "${LIB}".dbg
@@ -44,6 +46,8 @@ else
 		sudo objcopy --add-gnu-debuglink="${LIB}".dbg "${LIB}"
 	done
 
+	popd || exit 1
+
 	sudo find "${LFS}"/usr/lib -type f -name \*.a -exec strip --strip-debug {} ';'
 	sudo find "${LFS}"/lib -type f -name \*.so* ! -name \*dbg -exec strip --strip-unneeded {} ';'
 	sudo find "${LFS}"/usr/lib -type f -name \*.so* ! -name \*dbg -exec strip --strip-unneeded {} ';'
-- 
cgit v1.2.3-54-g00ecf